
From: Chris Wright <chrisw@osdl.org>

Remove unused queued_signals global accounting.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/signal.c |    3 ---
 25-akpm/kernel/sysctl.c |   18 ------------------
 2 files changed, 21 deletions(-)

diff -puN kernel/signal.c~rlim-remove-unused-queued_signals-global-accounting kernel/signal.c
--- 25/kernel/signal.c~rlim-remove-unused-queued_signals-global-accounting	2004-06-02 18:02:24.525910184 -0700
+++ 25-akpm/kernel/signal.c	2004-06-02 18:02:24.531909272 -0700
@@ -32,9 +32,6 @@
 
 static kmem_cache_t *sigqueue_cachep;
 
-atomic_t nr_queued_signals;
-int max_queued_signals = 1024;
-
 /*
  * In POSIX a signal is sent either to a specific thread (Linux task)
  * or to the process as a whole (Linux thread group).  How the signal
diff -puN kernel/sysctl.c~rlim-remove-unused-queued_signals-global-accounting kernel/sysctl.c
--- 25/kernel/sysctl.c~rlim-remove-unused-queued_signals-global-accounting	2004-06-02 18:02:24.526910032 -0700
+++ 25-akpm/kernel/sysctl.c	2004-06-02 18:02:24.538908208 -0700
@@ -53,8 +53,6 @@ extern int C_A_D;
 extern int sysctl_overcommit_memory;
 extern int sysctl_overcommit_ratio;
 extern int max_threads;
-extern atomic_t nr_queued_signals;
-extern int max_queued_signals;
 extern int sysrq_enabled;
 extern int core_uses_pid;
 extern char core_pattern[];
@@ -429,22 +427,6 @@ static ctl_table kern_table[] = {
 		.proc_handler	= &proc_dointvec,
 	},
 #endif
-	{
-		.ctl_name	= KERN_RTSIGNR,
-		.procname	= "rtsig-nr",
-		.data		= &nr_queued_signals,
-		.maxlen		= sizeof(int),
-		.mode		= 0444,
-		.proc_handler	= &proc_dointvec,
-	},
-	{
-		.ctl_name	= KERN_RTSIGMAX,
-		.procname	= "rtsig-max",
-		.data		= &max_queued_signals,
-		.maxlen		= sizeof(int),
-		.mode		= 0644,
-		.proc_handler	= &proc_dointvec,
-	},
 #ifdef CONFIG_SYSVIPC
 	{
 		.ctl_name	= KERN_SHMMAX,
_
